<?php

/*
Plugin Name: Dont Collect Hidden Information for Commenters
Description: WrodPress saves commenters' ip addresses and user agents by default. The plugin prevents it and makes websites privacy-friendly.
Version: 1.0.3
Author: NautiMaster
Author contact: nautimaster@outlook.com
Modified from: More privacy for comments (by floeff)
First time modification date: 2022-01-19
*/

/* Only store empty IP addresses and user agents for comments */
function dchi_dont_store_ip($comment_author_ip) {
return '';
}
function dchi_dont_store_user_agent($comment_agent) {
return '';
}

add_filter('pre_comment_user_ip', 'dchi_dont_store_ip', 50);
add_filter('pre_comment_user_agent', 'dchi_dont_store_user_agent', 50);
?>